Export (0) Print
Expand All
This topic has not yet been rated - Rate this topic

.NET Compact Framework Version 2.0 SP1

The .NET Compact Framework version 2.0 SP1 extends the .NET Compact Framework version 2.0 with several new features. This section provides information about some of the key additions and modifications to the .NET Compact Framework.

You can install the .NET Compact Framework version 2.0 SP1 to RAM using a CAB file installation. To obtain this service pack, visit the Microsoft .NET Framework Developer Center.

NoteNote

If you want to update the .NET Compact Framework version 2.0 to SP1 with extended Visual Studio 2005 redistribution rights on your development PC, you must install the .NET Compact Framework version 2.0 SP1 patch.

If at any time you perform a CAB file installation of the .NET Compact Framework, the version must always be newer than any version stored in ROM.

To install .NET Compact Framework version 2.0 SP1 to ROM, you must obtain the correct Platform Builder QFE by going to Windows CE Updates. Note that two QFEs are available; one is for installation to Windows CE 5.0 devices and the other is for installation to Windows CE 4.2 devices.

Headless Devices

The .NET Compact Framework version 2.0 SP1 supports the creation of Windows CE-based headless devices. For more information, see How to: Create a Headless Device.

.NET Compact Framework Remote Performance Monitor

The .NET Compact Framework Remote Performance Monitor is a debugging and performance tuning tool included with the .NET Compact Framework version 2.0 SP1. This tool provides a user interface that allows you to view performance data while an application is running. For more information, see How to: Monitor Performance at Run Time.

CAB File Installation to Storage Card

For CAB file installations, installation of the .NET Compact Framework version 2.0 SP1 to a storage card is supported. For more information, see Device Memory Management.

Command-Line Debugger

The command-line debugger previously supported on the .NET Framework is now supported on the .NET Compact Framework version 2.0 SP1.

Related Sections

See Also

Did you find this helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft. All rights reserved.